First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 108361
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo Linux High-Performance Clustering Team <hp-cluster@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Jan Bruvoll <jan@bruvoll.com>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
gnbd-1.00.00-r1.ebuild.patch Patch to fix ebuild patch Jan Bruvoll 2005-10-07 01:39 0000 910 bytes Details | Diff
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 108361 depends on: Show dependency tree
Bug 108361 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2005-10-07 01:38 0000
The startup script for the server part of gnbd is installed as
/etc/init.d/gnbd-src

Reproducible: Always
Steps to Reproduce:
1. Install ebuild
2. Look for /etc/init.d/gnbd-srv
Actual Results:  
/etc/init.d/gnbd-srv does not exist as expected.

Expected Results:  
Install /etc/init.d/gnbd-srv.

------- Comment #1 From Jan Bruvoll 2005-10-07 01:39:58 0000 -------
Created an attachment (id=70056) [edit]
Patch to fix ebuild

------- Comment #2 From Jakub Moc (RETIRED) 2005-10-07 01:41:18 0000 -------
Why is a trivial typo a blocker?! BTW, the patch is absolutely unreadable. 

------- Comment #3 From Jan Bruvoll 2005-10-07 01:47:03 0000 -------
(In reply to comment #2)
> Why is a trivial typo a blocker?! BTW, the patch is absolutely unreadable. 

The definition in the list was "Blocker: This bug prevents a software
application from testing and use". To yourself and me this might be trivial
stuff - to a "clueless" user of the system it is not. It just will not work.

Sorry about the patch - that's what one gets for posting from a Windows
system... I'll fix it.

------- Comment #4 From Jan Bruvoll 2005-10-07 01:49:11 0000 -------
(From update of attachment 70056 [edit])
--- gnbd-1.00.00-r1.ebuild.broken	2005-10-07 10:38:24.000000000 +0200
+++ gnbd-1.00.00-r1.ebuild	2005-10-07 10:38:37.000000000 +0200
@@ -27,7 +27,7 @@
	make DESTDIR=${D} install || die

	newinitd ${FILESDIR}/${PN}-client.rc ${PN}-client || die
-	newinitd ${FILESDIR}/${PN}-srv.rc ${PN}-src || die
+	newinitd ${FILESDIR}/${PN}-srv.rc ${PN}-srv || die

	insinto /etc
	doins ${FILESDIR}/gnbdtab

------- Comment #5 From Jan Bruvoll 2005-10-07 01:49:50 0000 -------
(From update of attachment 70056 [edit])
--- gnbd-1.00.00-r1.ebuild.broken	2005-10-07 10:38:24.000000000 +0200
+++ gnbd-1.00.00-r1.ebuild	2005-10-07 10:38:37.000000000 +0200
@@ -27,7 +27,7 @@
	make DESTDIR=${D} install || die

	newinitd ${FILESDIR}/${PN}-client.rc ${PN}-client || die
-	newinitd ${FILESDIR}/${PN}-srv.rc ${PN}-src || die
+	newinitd ${FILESDIR}/${PN}-srv.rc ${PN}-srv || die

	insinto /etc
	doins ${FILESDIR}/gnbdtab

------- Comment #6 From Christian Zoffoli 2005-10-07 11:09:43 0000 -------
fixed in cvs, thanks.

First Last Prev Next    No search results available      Search page      Enter new bug